------------------------
-- Map Marker Tooltip --
------------------------
local addon, ns = ...
local ss = ns.SS

local CreateFrame = CreateFrame

local mtTooltip = {};

--- Creates a new tooltip.
--
function mtTooltip:New()
  local tooltip       = CreateFrame("GameTooltip", ss._f.."MapButtonToolTip", nil, "GameToolTipTemplate")
  tooltip.FontString1 = tooltip:CreateFontString("FontString1")
  tooltip.FontString1:SetFont(ss.private.font.general, 16)

  return tooltip
end

ss.Utils.addModule("MapMarkerTooltip", mtTooltip)
